diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/include/config.h ircd-hybrid-6.0/include/config.h
--- ircd-hybrid-6.0.orig/include/config.h	Fri Jun 15 17:50:40 2001
+++ ircd-hybrid-6.0/include/config.h	Fri Jun 15 17:27:10 2001
@@ -853,6 +853,12 @@
  */
 #define QUIET_MODE
 
+/*
+ * Allow +p channel mode to be set. +p is considered deprecated, when this is
+ * undef then trying to set mode +p on a channel will set +s instead
+ */
+#undef ALLOW_PRIVATE_CHANNELS
+
 /*   STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP  */
 
 /* You shouldn't change anything below this line, unless absolutely needed. */
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/channel.c ircd-hybrid-6.0/src/channel.c
--- ircd-hybrid-6.0.orig/src/channel.c	Fri Jun 15 17:50:40 2001
+++ ircd-hybrid-6.0/src/channel.c	Fri Jun 15 17:50:15 2001
@@ -1088,7 +1088,10 @@
 #ifdef OLD_P_S
   int   done_s_or_p = NO;
 #else
-  int   done_s = NO, done_p = NO;
+#ifdef ALLOW_PRIVATE_CHANNELS
+  int   done_p = NO;
+#endif
+  int   done_s = NO;
 #endif
   int   done_i = NO, done_m = NO, done_n = NO, done_t = NO;
 #ifdef INVITE_CHANNEL_FORWARDING
@@ -2206,6 +2209,7 @@
           break;
 
         case 'p' :
+#ifdef ALLOW_PRIVATE_CHANNELS
           if (!isok)
             {
               if (MyClient(sptr))
@@ -2253,6 +2257,7 @@
                 break;
             }
           break;
+#endif
 
         case 's' :
           if (!isok)
